package com.lightinit.hsdatashow.model.admin;

import java.util.LinkedHashMap;

public class DicFacilitiesType {
    public static final String SANITATION = "环卫设施";
    public static final String MONITOR = "监控设施";
    public static final String PUBLISH = "公共设施";
    public static final String READ = "路政设施";


    private static DicFacilitiesType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicFacilitiesType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(SANITATION, SANITATION);
        dicMap.put(MONITOR, MONITOR);
        dicMap.put(PUBLISH, PUBLISH);
        dicMap.put(READ, READ);
    }

    public static DicFacilitiesType getInstacne(){
        if (instance == null)
        {
            instance = new DicFacilitiesType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
